Kerbal Space Program - Bug #24416

Robotics do not behave equally.
11/23/2019 11:23 AM - dok_377

Status: Acknowledged Start date: 11/23/2019
Severity: Low % Done: 100%
Assignee: just_jim

Category: Parts

Target version: 1.10.0

Version: 1.9.1 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Breaking Ground, Core Game

Description

Just take any robotic part and place it in symmetry. Mirror or radial, it doesn't matter. These parts are not behaving equally, one of
the parts is almost always behaves weaker than the other, even if it's locked. Just watch the attached videos, you will know what |
mean.

Video #1: https://youtu.be/ZjVFQxsNaY4
Video #2: https://youtu.be/kPxu4J1xbvk

UPD. Sometimes they both behave weak: https:/youtu.be/plh35JQxcGc

UPD 2. It looks like even symmetry has nothing to do with it. | just tested it without a symmetry at all, individually placing robotic
parts, and it still does it.

History

#1 - 11/23/2019 11:28 PM - Kirk

The weaker one also appears to consume 3-4 times as much electricity.

#2 - 11/24/2019 08:02 AM - dok_377

It also appears that this bug is not constant and sometimes it can fix itself or break again for no reason.

#3 - 11/26/2019 08:47 AM - dok_377

And | just had it on both hinges in mirror symmetry. They behave weak like they are not even locked, but they are.

https://youtu.be/plh35JQxcGe

#4 - 11/26/2019 08:52 AM - dok_377

- Description updated

#6 - 11/28/2019 01:04 AM - just_jim

- Assignee set to just_jim

#8 - 12/04/2019 01:19 PM - dok_377
- Subject changed from Robotics in symmetry do not behave equally. to Robotics do not behave equally.

- Description updated

#9 - 02/13/2020 04:57 AM - dok_377
- Version changed from 1.8.1 to 1.9.0

#10 - 02/27/2020 10:42 PM - dok_377

- Version changed from 1.9.0 to 1.9.1

#11 - 03/04/2020 04:53 PM - victorr
- Status changed from New to Confirmed

- % Done changed from 0 to 10

#12 - 07/03/2020 10:54 AM - just_jim
- Status changed from Confirmed to Being Worked On
- % Done changed from 10 to 30

#13 - 07/03/2020 10:54 AM - just_jim
- Status changed from Being Worked On to Ready to Test
- Target version set to 1.10.0

- % Done changed from 30 to 80

This should be working now in 1.10

#14 - 07/03/2020 11:58 AM - dok_377

- File 2020-07-03_145022.png added

- Status changed from Ready to Test to Not Fixed
- % Done changed from 80 to 50

Do not want to disappoint you, but it's still in the game, and | think it's even worse now.

#15 - 07/03/2020 11:59 AM - dok_377
- Status changed from Not Fixed to Updated
- % Done changed from 50 to 10

#16 - 07/03/2020 12:08 PM - dok_377
- File 2020-07-03_150044.png added

And it still changes after the reload.

#18 - 08/10/2020 03:22 PM - victorr
- Status changed from Updated to Not Fixed
- % Done changed from 10 to 50

#20 - 12/17/2020 08:53 PM - victorr
- Status changed from Not Fixed to Acknowledged
- % Done changed from 50 to 100

Files

Symmetry 2.craft 34.3 KB 11/23/2019 dok_377
Symmetry 3.craft 38.2 KB 11/23/2019 dok_377
Symmetry.craft 34 KB 11/23/2019 dok_377
2020-07-03_145022.png 1.62 MB 07/03/2020 dok_377
2020-07-03_150044.png 1.25 MB 07/03/2020 dok_377
